<?php
	if ( ! defined( 'ABSPATH' ) ) {
		exit; // Exit if accessed directly.
	}

	class ZLEADSCRM_PROSPECT_Core {
		private static $initiated = false;

		public static function init() {
			if ( ! self::$initiated ) {
				self::init_hooks();
			}
		}

		private static function init_hooks() {
		}

		public static function plugin_activation() {
			self::create_leads_results_table();
			self::create_leads_bookmarks_table();
		}

		public static function plugin_deactivation() {
		}

		public static function create_leads_results_table() {
			global $wpdb;

			$table_name      = $wpdb->prefix . 'zleadscrm_leads_results';
			$charset_collate = $wpdb->get_charset_collate();

			$sql_query = "CREATE TABLE $table_name (
							id mediumint( 9 ) NOT null AUTO_INCREMENT,
				timestamp datetime NOT null,
				user_id mediumint( 9 ) NOT null,
				business_name text NOT null,
				business_type text NOT null,
				phone text NOT null,
				website text NOT null,
				address text NOT null,
				url text NOT null,
				PRIMARY KEY( id )
			)$charset_collate;";

			require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
			dbDelta( $sql_query );
		}

		public static function create_leads_bookmarks_table() {
			global $wpdb;

			$table_name      = $wpdb->prefix . 'zleadscrm_leads_bookmarks';
			$charset_collate = $wpdb->get_charset_collate();

			$sql_query = "CREATE TABLE $table_name (
							id mediumint( 9 ) NOT null AUTO_INCREMENT,
				timestamp datetime NOT null,
				business_name text NOT null,
				business_type text NOT null,
				phone text NOT null,
				website text NOT null,
				address text NOT null,
				owner_id mediumint( 9 )  NOT null,
				url text NOT null,
				PRIMARY KEY( id )
			)$charset_collate;";

			require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
			dbDelta( $sql_query );
		}
	}

?>