<?php
	if ( ! defined( 'ABSPATH' ) ) {
		exit; // Exit if accessed directly.
	}
	$users_query = new WP_User_Query( array(
		'role__in' => zleadscrm_get_selected_roles()
	) );

	$users                                            = $users_query->get_results();
	$zleadscrm_users_allowed_export_search_setting    = zleadscrm_get_users_allowed_export_search_setting();
	$allowed_export_search_users                      = zleadscrm_get_export_search_users();
	$zleadscrm_users_allowed_export_leads_setting     = zleadscrm_get_users_allowed_export_leads_setting();
	$allowed_export_leads_users                       = zleadscrm_get_export_leads_users();
	$zleadscrm_users_allowed_export_bookmarks_setting = zleadscrm_get_users_allowed_export_bookmarks_setting();
	$allowed_export_bookmarks_users                   = zleadscrm_get_export_bookmarks_users();
?>
<div style="margin-top: 20px;">
    <label style="margin: 10px 0 10px 0;"><b>Users Allowed to Access Export Functionality of Search
            Results</b></label>
    <div style=" margin-top: 10px; margin-bottom: 20px; margin-left:10px;">
        <div style="display:inline; margin-right: 10px;">
            <input type="radio" id="zleadscrm_users_allowed_export_search_setting_all"
                   name="zleadscrm_users_allowed_export_search_setting" value="all" <?php checked(
				'all', $zleadscrm_users_allowed_export_search_setting, true ) ?>>All Users
        </div>
        <div style="display:inline; margin-right: 10px;">
            <input type="radio" id="zleadscrm_users_allowed_export_search_setting_users"
                   name="zleadscrm_users_allowed_export_search_setting" value="users" <?php checked(
				'users', $zleadscrm_users_allowed_export_search_setting, true ) ?>>Select Users
        </div>
    </div>

    <div id="zleadscrm_allowed_users_export_search_list_container">
        <select id="zleadscrm_users_export_search_list"
                name="zleadscrm_allowed_export_search_users[]" multiple="multiple">
			<?php if ( $users ) {
				foreach ( $users as $user ) {
					$extra = '';
					if ( in_array( $user->ID, $allowed_export_search_users ) ) {
						$extra = 'selected="selected"';
					}
					echo '<option value="' . esc_attr( $user->ID ) . '" ' . $extra . '>' . esc_html( $user->display_name ) . '</option>';
				}
			}
			?>
        </select>
    </div>
</div>
<div style="margin-top: 20px;">
    <label style="margin: 10px 0 10px 0;"><b>Users Allowed to Access Export Functionality of
            Leads</b></label>
    <div style=" margin-top: 10px; margin-bottom: 20px; margin-left:10px;">
        <div style="display:inline; margin-right: 10px;">
            <input type="radio" id="zleadscrm_users_allowed_export_leads_setting_all"
                   name="zleadscrm_users_allowed_export_leads_setting" value="all" <?php checked(
				'all', $zleadscrm_users_allowed_export_leads_setting, true ) ?>>All Users
        </div>
        <div style="display:inline; margin-right: 10px;">
            <input type="radio" id="zleadscrm_users_allowed_export_leads_setting_users"
                   name="zleadscrm_users_allowed_export_leads_setting" value="users" <?php checked(
				'users', $zleadscrm_users_allowed_export_leads_setting, true ) ?>>Select Users
        </div>
    </div>

    <div id="zleadscrm_allowed_users_export_leads_list_container">
        <select id="zleadscrm_users_export_leads_list"
                name="zleadscrm_allowed_export_leads_users[]" multiple="multiple">
			<?php if ( $users ) {
				foreach ( $users as $user ) {
					$extra = '';
					if ( in_array( $user->ID, $allowed_export_leads_users ) ) {
						$extra = 'selected="selected"';
					}
					echo '<option value="' . esc_attr( $user->ID ) . '" ' . $extra . '>' . esc_html( $user->display_name ) . '</option>';
				}
			}
			?>
        </select>
    </div>
</div>

<div style="margin-top: 20px;">
    <label style="margin: 10px 0 10px 0;"><b>Users Allowed to Access Export Functionality of
            Bookmarks</b></label>
    <div style=" margin-top: 10px; margin-bottom: 20px; margin-left:10px;">
        <div style="display:inline; margin-right: 10px;">
            <input type="radio" id="zleadscrm_users_allowed_export_bookmarks_setting_all"
                   name="zleadscrm_users_allowed_export_bookmarks_setting" value="all" <?php checked(
				'all', $zleadscrm_users_allowed_export_bookmarks_setting, true ) ?>>All Users
        </div>
        <div style="display:inline; margin-right: 10px;">
            <input type="radio" id="zleadscrm_users_allowed_export_bookmarks_setting_users"
                   name="zleadscrm_users_allowed_export_bookmarks_setting" value="users" <?php checked(
				'users', $zleadscrm_users_allowed_export_bookmarks_setting, true ) ?>>Select Users
        </div>
    </div>

    <div id="zleadscrm_allowed_users_export_bookmarks_list_container">
        <select id="zleadscrm_users_export_bookmarks_list"
                name="zleadscrm_allowed_export_bookmarks_users[]" multiple="multiple">
			<?php if ( $users ) {
				foreach ( $users as $user ) {
					$extra = '';
					if ( in_array( $user->ID, $allowed_export_bookmarks_users ) ) {
						$extra = 'selected="selected"';
					}
					echo '<option value="' . esc_attr( $user->ID ) . '" ' . $extra . '>' . esc_html( $user->display_name ) . '</option>';
				}
			}
			?>
        </select>
    </div>
</div>


